Upgrading from 9.0.x to 10.5.x

Document ID : KB000010212
Last Modified Date : 14/02/2018
Show Technical Document Details
Introduction:

When upgrading APM across multiple versions, especially for APM Postgres database, it would be advisable to do so in phases.

Background:

https://docops.ca.com/ca-apm/10-5/en/installing/apm-installation-and-upgrade/upgrade-apm/upgrade-the-apm-database-on-postgresql: The most recent APM Postgres version in the table "Additional Information" is 9.5.

Environment:
9.0.x APM cluster upgrading to 10.5.x APM cluster
Instructions:

For APM Postgres database, while upgrading across many releases and across many different Postgres versions is possible, it could be prudent to upgrade in phases and more than with one direct step.

 

On the 10.5.1 documentation, there were mentions on APM Postgres database from 9.5 to higher releases.  Hence, when upgrading from 9.0.x, it is advisable to first upgrade to 9.5.x, then from 9.5.x to 10.5.x.